Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri
Interface ServerEndpoint.ListenHandle

Enclosing interface:
  ServerEndpoint

public static interface ServerEndpoint.ListenHandle

Represents a listen operation that has been started on a `ListenEndpoint`.

A `ListenHandle` is returned from a successful `ListenEndpoint.listen` invocation to represent the listen operation started by that invocation. This object can be used to stop the listen operation and to obtain a `ListenCookie` to identify the listen operation as the return value of the `ListenContext.addListenEndpoint` method.

Method Summary
`void` | `close()` Stops listening for requests on the associated `ListenEndpoint`.
`ServerEndpoint.ListenCookie` | `getCookie()` Returns a `ListenCookie` to identify the listen operation as the return value of the `ListenContext.addListenEndpoint` method.

Method Detail

### close

    public void close()

  Stops listening for requests on the associated `ListenEndpoint`.

  After this method has returned, no more requests will be dispatched to the `RequestDispatcher` for the listen operation represented by this `ListenHandle`, and the listen operation is no longer considered active. This method frees any resources associated with the listen operation.

  Invoking this method terminates any requests that have been received because of the listen operation and dispatched to the associated `RequestDispatcher` but have not yet had their response output stream closed (see `InboundRequest.abort`); subsequent I/O operations on such requests will fail with an `IOException`, except some operations that may succeed because they only affect data in local I/O buffers.

### getCookie

    public ServerEndpoint.ListenCookie getCookie()

  Returns a `ListenCookie` to identify the listen operation as the return value of the `ListenContext.addListenEndpoint` method.

  Returns:
    a `ListenCookie` to identify the listen operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved